header {
background-color: #b971e0; /* cor de fundo */
color: #45045f; /* cor da fonte */
text-align: center; /* centraliza o texto horizontalmente "/
max-width: seepx; / define a largura maxima que o elemento pode ter */
margin: 0 auto; /* centraliza o bloco inteiro na tela */
padding: 16px; /* espacamento interno entre a borda e o conteudo */
}
h1{
color: #13a0e1;
}
main(
}

}
background-color: #e2e7cc;
color: #013005;
max-width: seepx;
margin: 0 auto;
padding: 16px;
display: flex; /* ativa o flexbox para alinhar os elementos filhos lado a lado */
img{
width: 150px; / define a largura fixa da imagem */
height: 150px; /* define a altura fixa da imagem */
border: 2px solid #0b0247; /* adiciona uma borda solida de 2px na cor azul/roxa */
display: block; /* transforma a imagem em um bloco para aceitar margens verticais e quebra de linha */
margin: 0 auto; /* centraliza a imagem horizontalmente na tela */
.artigo-autor {
font-weight: bold; /* deixa o texto em negrito */
}
body {
font-family: Arial, Helvetica, sans-serif; /* Fonte universal herdada por todo o site */
margin: 0;
Remove margens padrao do navegador */
padding: 0;
}
header {
background-color: #0bf3b5; /* cor de fundo */
color: #013005; /* cor da fonte */
text-align: center; / centraliza o texto horizontalmente */
max-width: 800px; / define a largura maxima que o elemento pode ter */
margin: auto; /* centraliza o bloco inteiro na tela */
padding: 16px; /* espacamento interno entre a borda e o conteudo */
}
h1{
color: #6e5bee;
}
main{
}
background-color: #e2e7cc;
color: #013005;
max-width: 800px;
margin: 0 auto;
padding: 16px;
article {
display: flex;
margin-bottom: 60px; / Empurra o artigo de baixo, criando o espaco */
}
img{
width: 150px; /* define a largura fixa da imagem */
height: 150px; / define a altura fixa da imagem /
border: 2px solid #17048f; / adiciona uma borda solida de 2px na cor azul/roxa */
display: block; /* transforma a imagem em um bloco para aceitar margens verticais e quebra de linha */
margin: 0 auto; /* centraliza a imagem horizontalmente na tela */
}
align-self: center;
.artigo-autor {
font-weight: bold; / deixa o texto em negrito */
}
.texto-curto {
max-width: 65ch; /* Limita a linha a cerca de 45 caracteres */
}
footer {
background-color:
#b4cbc5; /
* Mesma cor escura do texto do header para combinar */
color:
#013005;
/* Cor da fonte branca para dar contraste e leitura */
text-align: center;
/* Centraliza o texto horizontalmente */
max-width: 800px;
/* Mantem o mesmo alinhamento do header e do main */
margin: 0 auto;
/* Centraliza o bloco inteiro na tela "/
padding: 20px;
/ Cria um espacamento interno para o fundo aparecer bem */
font-size: 14px;
/* Deixa o texto do rodapa um pouco menor e discreto */
}